# applyPostFaintAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostFaintAbAttrs

- applyPostFaintAbAttrs(
  attrType: Constructor < PostFaintAbAttr >,
  pokemon: default ,
  attacker?: default ,
  move?: default ,
  hitResult?: HitResult ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostFaintAbAttr >
  - pokemon: default
  - `Optional` attacker: default
  - `Optional` move: default
  - `Optional` hitResult: HitResult
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:6170